# $Revision: 1.19 $, $Date: 2004/05/07 00:39:41 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	CoreStack
Summary:	Devel::CoreStack - try to generate a stack dump from a core file
Summary(pl):	Devel::CoreStack - prba wygenerowania zrzutu stosu z pliku core
Name:		perl-Devel-CoreStack
Version:	1.3
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	483183935fcd4743a4903a183722f559
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Devel::CoreStack Perl module attempts to generate a stack dump
from a core file by locating the best available debugger (if any) and
running it with the appropriate arguments and command script.

%description -l pl
Modu Perla Devel::CoreStack prbuje wygenerowa zrzut stosu z pliku
core poprzez zlokalizowanie najlepszego dostpnego debuggera (jeli w
ogle jest) i uruchomienie go z odpowiednimi parametrami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Devel/CoreStack.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Devel-CoreStack.spec,v $
Revision 1.19  2004/05/07 00:39:41  ankry
- rel. 6

Revision 1.18  2004/05/06 18:09:30  ankry
- fixed perl-devel BR

Revision 1.17  2004/05/02 23:39:33  ankry
- rel. 5 for Ac

Revision 1.16  2004/04/25 00:50:53  ankry
- cosmetics: unification

Revision 1.15  2004/04/20 11:09:45  ankry
- summary/description/license fixes

Revision 1.14  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:08:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.11  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.8  2003/02/24 20:31:52  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:31:26  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/07/10 08:47:01  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.5  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.4  2002/03/20 09:44:57  qboosh
- added descriptions, release 3

Revision 1.3  2002/02/25 10:30:46  depesz
cleanup; revision++

Revision 1.2  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/21 15:51:39  zagrodzki
- initial release, no description yet
